﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace WpfApplication2.ValueConverters
{
    public class BackgroundConverter : IValueConverter
    {
        readonly Brush currentBrush = Brushes.Green;
        readonly Brush staleBrush = Brushes.Red;
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is DataWithPresentation)
            {
                return ((DataWithPresentation)value).State ==State.Current ? currentBrush : staleBrush;
            }

            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}